' === tempSerialToPi.bas =====================================
' This program measures temperature using an MCP9700A sensor.
' It displays the raw data in the terminal window, and then
' sends it on to the Pi for conversion and display.

' The companion program is tempSerialFromAx.py

' === Directives ===
  #com 4                        'specify serial port
  #picaxe 08M2                  'specify processor
  #terminal 9600                'open the terminal window
  #no_data                      'save time downloading
  
' === Constants ====
  symbol   LED = C.0            'debugging LED on pin C.0
  symbol   MCP = C.4            'MCP9700A on pin C.4
  symbol txPin = C.1            'Tx connected to GPIO 15 on Pi

' === Variables ====
  symbol ADCval = w0            '16-bit raw temperature data
  symbol hiByte = b1            'the high byte of the raw data
  symbol loByte = b0            'the low byte of the raw data
  
' === Begin Main Program =====================================

  fvrsetup FVR2048                     'set FVR at 2048mV
  adcconfig %011                       'Vref+=FVR, Vref-=0V
  setfreq m8
  
  pause 100                            'for 9700 startup
  
do
  high LED                             'blink debugging LED
  wait 1                     
  low LED
  
  readadc10 MCP,ADCval                 'fetch raw data
  sertxd ("ADCval = ",#ADCval,CR,LF)   'send raw data to term  
  serout txPin,T9600_8,(hiByte,loByte) '& to Pi (hiByte first)
 
  wait 9                               'slow down abit
loop